org.apache.flume.source.http

## Class HTTPSourceConfigurationConstants

- java.lang.Object
- - org.apache.flume.source.http.HTTPSourceConfigurationConstants

-     public class HTTPSourceConfigurationConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONFIG_BIND`
    `static String` | `CONFIG_HANDLER`
    `static String` | `CONFIG_HANDLER_PREFIX`
    `static String` | `CONFIG_PORT`
    `static String` | `DEFAULT_BIND`
    `static String` | `DEFAULT_HANDLER`
    `static String` | `EXCLUDE_PROTOCOLS`
    `static String` | `SSL_ENABLED`
    `static String` | `SSL_KEYSTORE`
    `static String` | `SSL_KEYSTORE_PASSWORD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTTPSourceConfigurationConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONFIG_PORT

          public static final String CONFIG_PORT

      See Also:
        Constant Field Values

    - #### CONFIG_HANDLER

          public static final String CONFIG_HANDLER

      See Also:
        Constant Field Values

    - #### CONFIG_HANDLER_PREFIX

          public static final String CONFIG_HANDLER_PREFIX

      See Also:
        Constant Field Values

    - #### CONFIG_BIND

          public static final String CONFIG_BIND

      See Also:
        Constant Field Values

    - #### DEFAULT_BIND

          public static final String DEFAULT_BIND

      See Also:
        Constant Field Values

    - #### DEFAULT_HANDLER

          public static final String DEFAULT_HANDLER

      See Also:
        Constant Field Values

    - #### SSL_KEYSTORE

          public static final String SSL_KEYSTORE

      See Also:
        Constant Field Values

    - #### SSL_KEYSTORE_PASSWORD

          public static final String SSL_KEYSTORE_PASSWORD

      See Also:
        Constant Field Values

    - #### SSL_ENABLED

          public static final String SSL_ENABLED

      See Also:
        Constant Field Values

    - #### EXCLUDE_PROTOCOLS

          public static final String EXCLUDE_PROTOCOLS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HTTPSourceConfigurationConstants

          public HTTPSourceConfigurationConstants()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.